Summary:	WebMail package
Summary(pl.UTF-8):	Poczta przez WWW
Name:		nocc
Version:	1.8.3
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/nocc/%{name}-%{version}.tar.gz
# Source0-md5:	731c8ab05a6de5131383be0810fe76a2
Source1:	%{name}.lighttpd
Patch0:		%{name}-config.patch
Patch1:		%{name}-pl.patch
URL:		http://nocc.sourceforge.net/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
Requires:	php(iconv)
Requires:	php(imap)
Requires:	php(pcre)
Requires:	webapps
Requires:	webserver(php) >= 4.1.0
Provides:	webmail
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapp		%{name}
%define		_webapps	/etc/webapps
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
NOCC is a webmail client written in PHP. It provides webmail access to
IMAP and POP3 accounts.

%description -l pl.UTF-8
NOCC jest klientem poczty napisanym w PHP. Umożliwia dostęp do kont
pocztowych IMAP i POP3 przez WWW.

%prep
%setup -q -c %{name}-%{version}

%undos -f php
%patch0 -p1
%patch1 -p1

cat > apache.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

cat > httpd.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Require all granted
</Directory>
EOF

%build
find -type d -name CVS | while read cvsdir; do
	rm -rf $cvsdir
done

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir},%{_var}/lib/nocc}
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install httpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

install config/conf.php.dist config/conf.php
mv config $RPM_BUILD_ROOT%{_sysconfdir}/
cp -avR * $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir}/config $RPM_BUILD_ROOT%{_appdir}/

rm -rf $RPM_BUILD_ROOT%{_appdir}/docs
rm -f $RPM_BUILD_ROOT%{_appdir}/{COPYING,INSTALL,README,*.sh}
rm -rf $RPM_BUILD_ROOT%{_appdir}/debian
rm -f $RPM_BUILD_ROOT%{_appdir}/lang/*.sh

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%dir %attr(750,root,http) %{_sysconfdir}/config
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config/*
%attr(770,root,http) %dir %{_var}/lib/nocc
%{_appdir}
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nocc.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 1b3bc92
- migrated to apache 2.4

* Mon Jul 12 2010 amateja <amateja@pld-linux.org> c1cd375
- added %undos macro and BR sed, bumped BR rpmbuild(macros) version

* Mon Jul 12 2010 amateja <amateja@pld-linux.org> 26e70ce
- now nocc-pl.patch is truly included, release 2

* Mon Jul 12 2010 amateja <amateja@pld-linux.org> 4564149
- fixed files' order

* Thu Jul 08 2010 amateja <amateja@pld-linux.org> 1752fc3
- updated to 1.8.3, added nocc-pl.patch and adapterized

* Thu Jul 08 2010 amateja <amateja@pld-linux.org> fbecbde
- initial

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> 8aef711
- BR: rpm-pythonprov

* Fri Feb 05 2010 amateja <amateja@pld-linux.org> 14d59bf
- updated to 1.8.2

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> 185a0d6
- updated to 1.8.1

* Wed May 13 2009 amateja <amateja@pld-linux.org> 751cc5d
- removed Source0-md5

* Wed May 13 2009 amateja <amateja@pld-linux.org> d811f34
- added support for lighttpd

* Wed May 13 2009 amateja <amateja@pld-linux.org> ac50046
- new

* Wed May 13 2009 amateja <amateja@pld-linux.org> 952ebb0
- adjusted for version 1.7

* Wed May 13 2009 amateja <amateja@pld-linux.org> b31b83f
- updated to 1.7
- minor cleanup

* Sat Jul 26 2008 luzik <luzik@pld-linux.org> 364ac11
- updated to 1.6
- config files changed

* Thu Aug 09 2007 tommat <tommat@pld-linux.org> fede1fc
- up to 1.4

* Thu Aug 09 2007 tommat <tommat@pld-linux.org> 3d28cdd
- up to 1.4, STBR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 27009d8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 456b18f
- converted to UTF-8

* Thu Jan 04 2007 Michał Łukaszek <mlukaszek+pld@gmail.com> d270b07
- 1.3 final

